/* capability.c generated by valac 0.56.18, the Vala compiler
 * generated from capability.vala, do not modify */

/*
 * Copyright (c) 2016 gnome-pomodoro contributors
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors: Kamil Prusko <kamilprusko@gmail.com>
 *
 */

#include "gnome-pomodoro.h"
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <glib-object.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	POMODORO_CAPABILITY_0_PROPERTY,
	POMODORO_CAPABILITY_NAME_PROPERTY,
	POMODORO_CAPABILITY_ENABLED_PROPERTY,
	POMODORO_CAPABILITY_GROUP_PROPERTY,
	POMODORO_CAPABILITY_NUM_PROPERTIES
};
static GParamSpec* pomodoro_capability_properties[POMODORO_CAPABILITY_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	POMODORO_CAPABILITY_ENABLE_SIGNAL,
	POMODORO_CAPABILITY_DISABLE_SIGNAL,
	POMODORO_CAPABILITY_NUM_SIGNALS
};
static guint pomodoro_capability_signals[POMODORO_CAPABILITY_NUM_SIGNALS] = {0};

struct _PomodoroCapabilityPrivate {
	gchar* _name;
	gboolean _enabled;
	PomodoroCapabilityGroup* _group;
	PomodoroCapabilityFunc enable_func;
	gpointer enable_func_target;
	GDestroyNotify enable_func_target_destroy_notify;
	PomodoroCapabilityFunc disable_func;
	gpointer disable_func_target;
	GDestroyNotify disable_func_target_destroy_notify;
};

static gint PomodoroCapability_private_offset;
static gpointer pomodoro_capability_parent_class = NULL;

static void pomodoro_capability_real_dispose (GObject* base);
static void pomodoro_capability_set_enabled (PomodoroCapability* self,
                                      gboolean value);
static void pomodoro_capability_real_enable (PomodoroCapability* self);
static void pomodoro_capability_real_disable (PomodoroCapability* self);
static void pomodoro_capability_finalize (GObject * obj);
static GType pomodoro_capability_get_type_once (void);
static void _vala_pomodoro_capability_get_property (GObject * object,
                                             guint property_id,
                                             GValue * value,
                                             GParamSpec * pspec);
static void _vala_pomodoro_capability_set_property (GObject * object,
                                             guint property_id,
                                             const GValue * value,
                                             GParamSpec * pspec);

static inline gpointer
pomodoro_capability_get_instance_private (PomodoroCapability* self)
{
	return G_STRUCT_MEMBER_P (self, PomodoroCapability_private_offset);
}

PomodoroCapability*
pomodoro_capability_construct (GType object_type,
                               const gchar* name,
                               PomodoroCapabilityFunc enable_func,
                               gpointer enable_func_target,
                               GDestroyNotify enable_func_target_destroy_notify,
                               PomodoroCapabilityFunc disable_func,
                               gpointer disable_func_target,
                               GDestroyNotify disable_func_target_destroy_notify)
{
	PomodoroCapability * self = NULL;
	PomodoroCapabilityFunc _tmp0_;
	gpointer _tmp0__target;
	GDestroyNotify _tmp0__target_destroy_notify;
	PomodoroCapabilityFunc _tmp1_;
	gpointer _tmp1__target;
	GDestroyNotify _tmp1__target_destroy_notify;
#line 38 "../src/capability.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 38 "../src/capability.vala"
	self = (PomodoroCapability*) g_object_new (object_type, NULL);
#line 42 "../src/capability.vala"
	pomodoro_capability_set_name (self, name);
#line 43 "../src/capability.vala"
	_tmp0_ = enable_func;
#line 43 "../src/capability.vala"
	_tmp0__target = enable_func_target;
#line 43 "../src/capability.vala"
	_tmp0__target_destroy_notify = enable_func_target_destroy_notify;
#line 43 "../src/capability.vala"
	enable_func = NULL;
#line 43 "../src/capability.vala"
	enable_func_target = NULL;
#line 43 "../src/capability.vala"
	enable_func_target_destroy_notify = NULL;
#line 43 "../src/capability.vala"
	(self->priv->enable_func_target_destroy_notify == NULL) ? NULL : (self->priv->enable_func_target_destroy_notify (self->priv->enable_func_target), NULL);
#line 43 "../src/capability.vala"
	self->priv->enable_func = NULL;
#line 43 "../src/capability.vala"
	self->priv->enable_func_target = NULL;
#line 43 "../src/capability.vala"
	self->priv->enable_func_target_destroy_notify = NULL;
#line 43 "../src/capability.vala"
	self->priv->enable_func = _tmp0_;
#line 43 "../src/capability.vala"
	self->priv->enable_func_target = _tmp0__target;
#line 43 "../src/capability.vala"
	self->priv->enable_func_target_destroy_notify = _tmp0__target_destroy_notify;
#line 44 "../src/capability.vala"
	_tmp1_ = disable_func;
#line 44 "../src/capability.vala"
	_tmp1__target = disable_func_target;
#line 44 "../src/capability.vala"
	_tmp1__target_destroy_notify = disable_func_target_destroy_notify;
#line 44 "../src/capability.vala"
	disable_func = NULL;
#line 44 "../src/capability.vala"
	disable_func_target = NULL;
#line 44 "../src/capability.vala"
	disable_func_target_destroy_notify = NULL;
#line 44 "../src/capability.vala"
	(self->priv->disable_func_target_destroy_notify == NULL) ? NULL : (self->priv->disable_func_target_destroy_notify (self->priv->disable_func_target), NULL);
#line 44 "../src/capability.vala"
	self->priv->disable_func = NULL;
#line 44 "../src/capability.vala"
	self->priv->disable_func_target = NULL;
#line 44 "../src/capability.vala"
	self->priv->disable_func_target_destroy_notify = NULL;
#line 44 "../src/capability.vala"
	self->priv->disable_func = _tmp1_;
#line 44 "../src/capability.vala"
	self->priv->disable_func_target = _tmp1__target;
#line 44 "../src/capability.vala"
	self->priv->disable_func_target_destroy_notify = _tmp1__target_destroy_notify;
#line 38 "../src/capability.vala"
	(enable_func_target_destroy_notify == NULL) ? NULL : (enable_func_target_destroy_notify (enable_func_target), NULL);
#line 38 "../src/capability.vala"
	enable_func = NULL;
#line 38 "../src/capability.vala"
	enable_func_target = NULL;
#line 38 "../src/capability.vala"
	enable_func_target_destroy_notify = NULL;
#line 38 "../src/capability.vala"
	(disable_func_target_destroy_notify == NULL) ? NULL : (disable_func_target_destroy_notify (disable_func_target), NULL);
#line 38 "../src/capability.vala"
	disable_func = NULL;
#line 38 "../src/capability.vala"
	disable_func_target = NULL;
#line 38 "../src/capability.vala"
	disable_func_target_destroy_notify = NULL;
#line 38 "../src/capability.vala"
	return self;
#line 186 "capability.c"
}

PomodoroCapability*
pomodoro_capability_new (const gchar* name,
                         PomodoroCapabilityFunc enable_func,
                         gpointer enable_func_target,
                         GDestroyNotify enable_func_target_destroy_notify,
                         PomodoroCapabilityFunc disable_func,
                         gpointer disable_func_target,
                         GDestroyNotify disable_func_target_destroy_notify)
{
#line 38 "../src/capability.vala"
	return pomodoro_capability_construct (POMODORO_TYPE_CAPABILITY, name, enable_func, enable_func_target, enable_func_target_destroy_notify, disable_func, disable_func_target, disable_func_target_destroy_notify);
#line 200 "capability.c"
}

static void
pomodoro_capability_real_dispose (GObject* base)
{
	PomodoroCapability * self;
	gboolean _tmp0_;
#line 81 "../src/capability.vala"
	self = (PomodoroCapability*) base;
#line 83 "../src/capability.vala"
	_tmp0_ = self->priv->_enabled;
#line 83 "../src/capability.vala"
	if (_tmp0_) {
#line 84 "../src/capability.vala"
		g_signal_emit (self, pomodoro_capability_signals[POMODORO_CAPABILITY_DISABLE_SIGNAL], 0);
#line 216 "capability.c"
	}
#line 87 "../src/capability.vala"
	G_OBJECT_CLASS (pomodoro_capability_parent_class)->dispose ((GObject*) G_TYPE_CHECK_INSTANCE_CAST (self, G_TYPE_INITIALLY_UNOWNED, GInitiallyUnowned));
#line 220 "capability.c"
}

const gchar*
pomodoro_capability_get_name (PomodoroCapability* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 31 "../src/capability.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "../src/capability.vala"
	_tmp0_ = self->priv->_name;
#line 31 "../src/capability.vala"
	result = _tmp0_;
#line 31 "../src/capability.vala"
	return result;
#line 236 "capability.c"
}

void
pomodoro_capability_set_name (PomodoroCapability* self,
                              const gchar* value)
{
	gchar* old_value;
#line 31 "../src/capability.vala"
	g_return_if_fail (self != NULL);
#line 31 "../src/capability.vala"
	old_value = pomodoro_capability_get_name (self);
#line 31 "../src/capability.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 250 "capability.c"
		gchar* _tmp0_;
#line 31 "../src/capability.vala"
		_tmp0_ = g_strdup (value);
#line 31 "../src/capability.vala"
		_g_free0 (self->priv->_name);
#line 31 "../src/capability.vala"
		self->priv->_name = _tmp0_;
#line 31 "../src/capability.vala"
		g_object_notify_by_pspec ((GObject *) self, pomodoro_capability_properties[POMODORO_CAPABILITY_NAME_PROPERTY]);
#line 260 "capability.c"
	}
}

gboolean
pomodoro_capability_get_enabled (PomodoroCapability* self)
{
	gboolean result;
#line 32 "../src/capability.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 32 "../src/capability.vala"
	result = self->priv->_enabled;
#line 32 "../src/capability.vala"
	return result;
#line 274 "capability.c"
}

static void
pomodoro_capability_set_enabled (PomodoroCapability* self,
                                 gboolean value)
{
	gboolean old_value;
#line 32 "../src/capability.vala"
	g_return_if_fail (self != NULL);
#line 32 "../src/capability.vala"
	old_value = pomodoro_capability_get_enabled (self);
#line 32 "../src/capability.vala"
	if (old_value != value) {
#line 32 "../src/capability.vala"
		self->priv->_enabled = value;
#line 32 "../src/capability.vala"
		g_object_notify_by_pspec ((GObject *) self, pomodoro_capability_properties[POMODORO_CAPABILITY_ENABLED_PROPERTY]);
#line 292 "capability.c"
	}
}

PomodoroCapabilityGroup*
pomodoro_capability_get_group (PomodoroCapability* self)
{
	PomodoroCapabilityGroup* result;
	PomodoroCapabilityGroup* _tmp0_;
#line 33 "../src/capability.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "../src/capability.vala"
	_tmp0_ = self->priv->_group;
#line 33 "../src/capability.vala"
	result = _tmp0_;
#line 33 "../src/capability.vala"
	return result;
#line 309 "capability.c"
}

void
pomodoro_capability_set_group (PomodoroCapability* self,
                               PomodoroCapabilityGroup* value)
{
	PomodoroCapabilityGroup* old_value;
#line 33 "../src/capability.vala"
	g_return_if_fail (self != NULL);
#line 33 "../src/capability.vala"
	old_value = pomodoro_capability_get_group (self);
#line 33 "../src/capability.vala"
	if (old_value != value) {
#line 33 "../src/capability.vala"
		self->priv->_group = value;
#line 33 "../src/capability.vala"
		g_object_notify_by_pspec ((GObject *) self, pomodoro_capability_properties[POMODORO_CAPABILITY_GROUP_PROPERTY]);
#line 327 "capability.c"
	}
}

static void
pomodoro_capability_real_enable (PomodoroCapability* self)
{
	gboolean _tmp0_;
#line 51 "../src/capability.vala"
	_tmp0_ = self->priv->_enabled;
#line 51 "../src/capability.vala"
	if (!_tmp0_) {
#line 339 "capability.c"
		const gchar* _tmp1_ = NULL;
		PomodoroCapabilityGroup* _tmp2_;
		const gchar* _tmp6_;
		PomodoroCapabilityFunc _tmp7_;
		gpointer _tmp7__target;
#line 53 "../src/capability.vala"
		_tmp2_ = self->priv->_group;
#line 53 "../src/capability.vala"
		if (_tmp2_ != NULL) {
#line 349 "capability.c"
			PomodoroCapabilityGroup* _tmp3_;
			const gchar* _tmp4_;
			const gchar* _tmp5_;
#line 53 "../src/capability.vala"
			_tmp3_ = self->priv->_group;
#line 53 "../src/capability.vala"
			_tmp4_ = pomodoro_capability_group_get_name (_tmp3_);
#line 53 "../src/capability.vala"
			_tmp5_ = _tmp4_;
#line 53 "../src/capability.vala"
			_tmp1_ = _tmp5_;
#line 361 "capability.c"
		} else {
#line 53 "../src/capability.vala"
			_tmp1_ = "unknown";
#line 365 "capability.c"
		}
#line 52 "../src/capability.vala"
		_tmp6_ = self->priv->_name;
#line 52 "../src/capability.vala"
		g_debug ("capability.vala:52: Enable capability %s.%s", _tmp1_, _tmp6_);
#line 56 "../src/capability.vala"
		_tmp7_ = self->priv->enable_func;
#line 56 "../src/capability.vala"
		_tmp7__target = self->priv->enable_func_target;
#line 56 "../src/capability.vala"
		if (_tmp7_ != NULL) {
#line 377 "capability.c"
			PomodoroCapabilityFunc _tmp8_;
			gpointer _tmp8__target;
#line 57 "../src/capability.vala"
			_tmp8_ = self->priv->enable_func;
#line 57 "../src/capability.vala"
			_tmp8__target = self->priv->enable_func_target;
#line 57 "../src/capability.vala"
			_tmp8_ (self, _tmp8__target);
#line 386 "capability.c"
		}
#line 60 "../src/capability.vala"
		pomodoro_capability_set_enabled (self, TRUE);
#line 390 "capability.c"
	}
}

static void
pomodoro_capability_real_disable (PomodoroCapability* self)
{
	gboolean _tmp0_;
#line 68 "../src/capability.vala"
	_tmp0_ = self->priv->_enabled;
#line 68 "../src/capability.vala"
	if (_tmp0_) {
#line 402 "capability.c"
		const gchar* _tmp1_ = NULL;
		PomodoroCapabilityGroup* _tmp2_;
		const gchar* _tmp6_;
		PomodoroCapabilityFunc _tmp7_;
		gpointer _tmp7__target;
#line 70 "../src/capability.vala"
		_tmp2_ = self->priv->_group;
#line 70 "../src/capability.vala"
		if (_tmp2_ != NULL) {
#line 412 "capability.c"
			PomodoroCapabilityGroup* _tmp3_;
			const gchar* _tmp4_;
			const gchar* _tmp5_;
#line 70 "../src/capability.vala"
			_tmp3_ = self->priv->_group;
#line 70 "../src/capability.vala"
			_tmp4_ = pomodoro_capability_group_get_name (_tmp3_);
#line 70 "../src/capability.vala"
			_tmp5_ = _tmp4_;
#line 70 "../src/capability.vala"
			_tmp1_ = _tmp5_;
#line 424 "capability.c"
		} else {
#line 70 "../src/capability.vala"
			_tmp1_ = "unknown";
#line 428 "capability.c"
		}
#line 69 "../src/capability.vala"
		_tmp6_ = self->priv->_name;
#line 69 "../src/capability.vala"
		g_debug ("capability.vala:69: Disable capability %s.%s", _tmp1_, _tmp6_);
#line 73 "../src/capability.vala"
		_tmp7_ = self->priv->disable_func;
#line 73 "../src/capability.vala"
		_tmp7__target = self->priv->disable_func_target;
#line 73 "../src/capability.vala"
		if (_tmp7_ != NULL) {
#line 440 "capability.c"
			PomodoroCapabilityFunc _tmp8_;
			gpointer _tmp8__target;
#line 74 "../src/capability.vala"
			_tmp8_ = self->priv->disable_func;
#line 74 "../src/capability.vala"
			_tmp8__target = self->priv->disable_func_target;
#line 74 "../src/capability.vala"
			_tmp8_ (self, _tmp8__target);
#line 449 "capability.c"
		}
#line 77 "../src/capability.vala"
		pomodoro_capability_set_enabled (self, FALSE);
#line 453 "capability.c"
	}
}

static void
pomodoro_capability_class_init (PomodoroCapabilityClass * klass,
                                gpointer klass_data)
{
#line 29 "../src/capability.vala"
	pomodoro_capability_parent_class = g_type_class_peek_parent (klass);
#line 29 "../src/capability.vala"
	g_type_class_adjust_private_offset (klass, &PomodoroCapability_private_offset);
#line 29 "../src/capability.vala"
	((GObjectClass *) klass)->dispose = (void (*) (GObject*)) pomodoro_capability_real_dispose;
#line 29 "../src/capability.vala"
	((PomodoroCapabilityClass *) klass)->enable = pomodoro_capability_real_enable;
#line 29 "../src/capability.vala"
	((PomodoroCapabilityClass *) klass)->disable = pomodoro_capability_real_disable;
#line 29 "../src/capability.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_pomodoro_capability_get_property;
#line 29 "../src/capability.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_pomodoro_capability_set_property;
#line 29 "../src/capability.vala"
	G_OBJECT_CLASS (klass)->finalize = pomodoro_capability_finalize;
#line 29 "../src/capability.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), POMODORO_CAPABILITY_NAME_PROPERTY, pomodoro_capability_properties[POMODORO_CAPABILITY_NAME_PROPERTY] = g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "../src/capability.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), POMODORO_CAPABILITY_ENABLED_PROPERTY, pomodoro_capability_properties[POMODORO_CAPABILITY_ENABLED_PROPERTY] = g_param_spec_boolean ("enabled", "enabled", "enabled", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 29 "../src/capability.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), POMODORO_CAPABILITY_GROUP_PROPERTY, pomodoro_capability_properties[POMODORO_CAPABILITY_GROUP_PROPERTY] = g_param_spec_object ("group", "group", "group", POMODORO_TYPE_CAPABILITY_GROUP, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "../src/capability.vala"
	pomodoro_capability_signals[POMODORO_CAPABILITY_ENABLE_SIGNAL] = g_signal_new ("enable", POMODORO_TYPE_CAPABILITY, G_SIGNAL_RUN_FIRST, G_STRUCT_OFFSET (PomodoroCapabilityClass, enable), NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 29 "../src/capability.vala"
	pomodoro_capability_signals[POMODORO_CAPABILITY_DISABLE_SIGNAL] = g_signal_new ("disable", POMODORO_TYPE_CAPABILITY, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (PomodoroCapabilityClass, disable), NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 487 "capability.c"
}

static void
pomodoro_capability_instance_init (PomodoroCapability * self,
                                   gpointer klass)
{
#line 29 "../src/capability.vala"
	self->priv = pomodoro_capability_get_instance_private (self);
#line 496 "capability.c"
}

static void
pomodoro_capability_finalize (GObject * obj)
{
	PomodoroCapability * self;
#line 29 "../src/capability.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, POMODORO_TYPE_CAPABILITY, PomodoroCapability);
#line 31 "../src/capability.vala"
	_g_free0 (self->priv->_name);
#line 35 "../src/capability.vala"
	(self->priv->enable_func_target_destroy_notify == NULL) ? NULL : (self->priv->enable_func_target_destroy_notify (self->priv->enable_func_target), NULL);
#line 35 "../src/capability.vala"
	self->priv->enable_func = NULL;
#line 35 "../src/capability.vala"
	self->priv->enable_func_target = NULL;
#line 35 "../src/capability.vala"
	self->priv->enable_func_target_destroy_notify = NULL;
#line 36 "../src/capability.vala"
	(self->priv->disable_func_target_destroy_notify == NULL) ? NULL : (self->priv->disable_func_target_destroy_notify (self->priv->disable_func_target), NULL);
#line 36 "../src/capability.vala"
	self->priv->disable_func = NULL;
#line 36 "../src/capability.vala"
	self->priv->disable_func_target = NULL;
#line 36 "../src/capability.vala"
	self->priv->disable_func_target_destroy_notify = NULL;
#line 29 "../src/capability.vala"
	G_OBJECT_CLASS (pomodoro_capability_parent_class)->finalize (obj);
#line 525 "capability.c"
}

static GType
pomodoro_capability_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (PomodoroCapabilityClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) pomodoro_capability_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PomodoroCapability), 0, (GInstanceInitFunc) pomodoro_capability_instance_init, NULL };
	GType pomodoro_capability_type_id;
	pomodoro_capability_type_id = g_type_register_static (G_TYPE_INITIALLY_UNOWNED, "PomodoroCapability", &g_define_type_info, 0);
	PomodoroCapability_private_offset = g_type_add_instance_private (pomodoro_capability_type_id, sizeof (PomodoroCapabilityPrivate));
	return pomodoro_capability_type_id;
}

GType
pomodoro_capability_get_type (void)
{
	static volatile gsize pomodoro_capability_type_id__once = 0;
	if (g_once_init_enter (&pomodoro_capability_type_id__once)) {
		GType pomodoro_capability_type_id;
		pomodoro_capability_type_id = pomodoro_capability_get_type_once ();
		g_once_init_leave (&pomodoro_capability_type_id__once, pomodoro_capability_type_id);
	}
	return pomodoro_capability_type_id__once;
}

static void
_vala_pomodoro_capability_get_property (GObject * object,
                                        guint property_id,
                                        GValue * value,
                                        GParamSpec * pspec)
{
	PomodoroCapability * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, POMODORO_TYPE_CAPABILITY, PomodoroCapability);
#line 29 "../src/capability.vala"
	switch (property_id) {
#line 29 "../src/capability.vala"
		case POMODORO_CAPABILITY_NAME_PROPERTY:
#line 29 "../src/capability.vala"
		g_value_set_string (value, pomodoro_capability_get_name (self));
#line 29 "../src/capability.vala"
		break;
#line 29 "../src/capability.vala"
		case POMODORO_CAPABILITY_ENABLED_PROPERTY:
#line 29 "../src/capability.vala"
		g_value_set_boolean (value, pomodoro_capability_get_enabled (self));
#line 29 "../src/capability.vala"
		break;
#line 29 "../src/capability.vala"
		case POMODORO_CAPABILITY_GROUP_PROPERTY:
#line 29 "../src/capability.vala"
		g_value_set_object (value, pomodoro_capability_get_group (self));
#line 29 "../src/capability.vala"
		break;
#line 578 "capability.c"
		default:
#line 29 "../src/capability.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "../src/capability.vala"
		break;
#line 584 "capability.c"
	}
}

static void
_vala_pomodoro_capability_set_property (GObject * object,
                                        guint property_id,
                                        const GValue * value,
                                        GParamSpec * pspec)
{
	PomodoroCapability * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, POMODORO_TYPE_CAPABILITY, PomodoroCapability);
#line 29 "../src/capability.vala"
	switch (property_id) {
#line 29 "../src/capability.vala"
		case POMODORO_CAPABILITY_NAME_PROPERTY:
#line 29 "../src/capability.vala"
		pomodoro_capability_set_name (self, g_value_get_string (value));
#line 29 "../src/capability.vala"
		break;
#line 29 "../src/capability.vala"
		case POMODORO_CAPABILITY_ENABLED_PROPERTY:
#line 29 "../src/capability.vala"
		pomodoro_capability_set_enabled (self, g_value_get_boolean (value));
#line 29 "../src/capability.vala"
		break;
#line 29 "../src/capability.vala"
		case POMODORO_CAPABILITY_GROUP_PROPERTY:
#line 29 "../src/capability.vala"
		pomodoro_capability_set_group (self, g_value_get_object (value));
#line 29 "../src/capability.vala"
		break;
#line 616 "capability.c"
		default:
#line 29 "../src/capability.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "../src/capability.vala"
		break;
#line 622 "capability.c"
	}
}

